Subject: Re: [PATCH] e1000: Don't enable polling in open() (was: e1000: assertion hit in e1000_clean(), kernel 2.6.21.1)

From: "Kok, Auke" <[email-masked]>
Date: Mon, 21 May 2007 17:04:53 -0700

Jeff Garzik wrote:
> Auke Kok wrote:
>> Herbert Xu wrote:
>> "netif_poll_enable can only be called if you've previously called
>> netif_poll_disable.  Otherwise a poll might already be in action
>> and you may get a crash like this."
>>
>> Removing the call to netif_poll_enable in e1000_open should fix this issue,
>> the only other call to netif_poll_enable is in e1000_up() which is only
>> reached after a device reset or resume.
>>
>> Bugzilla: http://bugzilla.kernel.org/show_bug.cgi?id=8455
>> https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=240339
>>
>> Tested by Doug Chapman <[email-masked]>
>>
>> Signed-off-by: Auke Kok <[email-masked]>
>> Acked-by: Herbert Xu <[email-masked]>
>> ---
>>
>>  drivers/net/e1000/e1000_main.c |    4 ----
>>  1 files changed, 0 insertions(+), 4 deletions(-)
> 
> applied, though as a poster (DaveJ?) noted, I'm not sure it completely 
> fixes the bug

It fixes the HP IA64 issue reported by Doug Chapman, but indeed does not even 
apply to the FC bugzilla. I was mistaken due to the fact that I sent the code 
that introduced the bug a while ago, but it's not in 2.6.21 (it was in the 
e1000-fixes tree you had and merged after 2.6.21).

So, this patch doesn't apply for -stable.

Auke

-------------------------------------------------------------------------
This SF.net email is sponsored by DB2 Express
Download DB2 Express C - the FREE version of DB2 express and take
control of your XML. No limits. Just data. Click to get it now.
http://sourceforge.net/powerbar/db2/